#ifndef MPU9250_COMPONENT
#define MPU9250_COMPONENT
#include "i2cbrn.h"
#define TAG_MPU "MPU9250"

extern i2c_device_config_t MPU9250_DEV_CFG;

extern i2c_master_dev_handle_t MPU9250_DEV_HANDLE;


esp_err_t mpu9250_read_sensor_data(i2c_master_dev_handle_t dev_handle, int16_t *accel, int16_t *gyro, int16_t *temp, int16_t *magnet);
void mpu9250_convert_data(int16_t *accel, int16_t *gyro, int16_t temp, int16_t *magnet, float *accel_out, float *gyro_out, float *temp_out, float *magnet_out);
esp_err_t mpu9250_init();

#endif